local loadFile = LoadResourceFile(GetCurrentResourceName(), "saves.json")
local extract = {}
local CurrentAOP

if Config.DoSaves then
  extract = json.decode(loadFile)
else
  extract = nil
end

if Config.DoSaves and extract ~= nil and extract.CURRENT_AOP ~= nil then
  CurrentAOP = extract.CURRENT_AOP
else
  CurrentAOP = Config.DefaultNone
end

function split(inputstr, sep)
  print(inputstr)
  if sep == nil then
    sep = "%s"
  end
  local t = {}
  for str in string.gmatch(inputstr, "([^"..sep.."]+)") do
    table.insert(t, str)
  end
  return t
end


function Capitilize(string)
  return string:gsub("^%l", string.upper)
end

function CapitilizeAll(strArr)
  local out = {}
  for k,v in pairs(strArr) do
    table.insert(Capitilize(v))
  end
  return out
end

RegisterNetEvent("UpdateAOP")
AddEventHandler("UpdateAOP", function(newaop)
  if newaop == nil or newaop == "" then
    newaop = Config.DefaultNone
  end
  local strArr = split(newaop, " ")
  if #strArr > 1 then
    newaop = CapitilizeAll(strArr)
  else
    newaop = Capitilize(newaop)
  end
  CurrentAOP = newaop
  if CurrentAOP == newaop then
    notify("Successfully updated the AOP to: " .. CurrentAOP)
  else
    notify("Failed to update the AOP")
  end
  TriggerServerEvent("updateData", newaop)
end)

function notify(string)
  SetNotificationTextEntry("STRING")
  AddTextComponentString(string)
  DrawNotification(true, false)
end

Citizen.CreateThread(function()
    while true do
        if CurrentAOP and not IsHudHidden() then
            SetTextScale(Config.TextScale, Config.TextScale)
            SetTextFont(4)
            SetTextOutline()
            BeginTextCommandDisplayText("STRING")
            AddTextComponentSubstringPlayerName(Config.DisplayText .. " " .. CurrentAOP)
            EndTextCommandDisplayText(Config.posX, Config.posY)
        end
        Citizen.Wait(0)
    end
end)

RegisterCommand("getGroup", function(source, args)
  group = GetPlayerGroup(source)
  print(group)
end)